UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Download audit logs

Download audit logs for an Automation Suite organization as a CSV file using the audit API, including required scope and response codes.

Downloads the audit logs for an organization, based on the organization ID, to your machine, in a .CSV format.

API endpoint

GET https://{yourDomain}/{organizationName}/audit_/api/auditlogs/download

Scopes

Requires one of the following scopes:

  • PM.Audit
  • PM.Audit.Read

Request headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Query parameters

ParameterData typeDescription
languagestringOptional.
Specify the available display language, in the shorten form.
For example, en, fr, de, ja etc.
sizeint32Optional.
Specify the download size.

Responses

200 OK

The list of audit events is downloaded to your machine, in the .csv format.

Example request

Let's say you gathered all the information needed to build the API call.

  • Your {baseURL} is: https://{yourDomain}/{organizationName}
  • Your {access_token} is: 1234 (for length considerations).
  • You set the following query parameters:
    • language = en
    • size = 13, to download top 13 entries.

The call should resemble the following example (CURL):

curl --location --request GET ' https://{yourDomain}/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET ' https://{yourDomain}/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
  • API endpoint
  • Scopes
  • Request headers
  • Query parameters
  • Responses
  • 200 OK
  • Example request

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated